Name: beryl-settings
Version: 0.2.1
Release: alt2

Group: Graphical desktop/Other
Summary: Beryl OpenGL window and compositing manager GUI config utility
Url: http://www.beryl-project.org/
License: GPL

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.bz2

Requires: beryl-core >= %version
Requires: beryl-settings-bindings python-module-pygtk python-modules-xml

BuildPreReq: beryl-settings-bindings-devel >= %version

# Automatically added by buildreq on Sat Dec 23 2006 (-bi)
BuildRequires: intltool python-dev python-modules-encodings python-module-pygtk-devel

%description
Beryl is a combined window manager and compositing manager that runs on top
of Xgl or AIGLX using OpenGL to provide effects accelerated by a 3D graphics
card on the desktop.
Beryl is a community-driven fork of Compiz.

This package contains a graphical configuration tool to configure Beryl's plugins
and the composite window manager.

%prep
%setup -q

echo "VERSION=%version" > VERSION

%__subst 's,_.*,,' po/LINGUAS
pushd po
	for f in *_*.po; do
		[ -f ${f/_*/}.po ] || mv $f ${f/_*/}.po
	done
popd

%build
intltoolize --force
%__autoreconf
%configure
%make

%install
%make DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%_bindir/*
%_datadir/bsm

%changelog
* Sat May 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.1-alt2
- drop desktop file and icons

* Mon Mar 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Thu Mar 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt1
- 0.2.0 release

* Sun Feb 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt0.0rc1
- 0.2.0-RC1

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt0.0pre1
- 0.2.0pre1

* Tue Dec 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Mon Dec 11 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.3-alt1
- new version

* Thu Nov 09 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.2-alt1
- new version

* Tue Nov 07 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt1
- initial specfile
